package com.tofly.ghrq_route.module.buildManage.domain;

import com.google.gson.annotations.SerializedName;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Unique;

import java.io.Serializable;

@Entity(nameInDb = "DB_BUILD_REPORT")
@SuppressWarnings("serial")
public class BuildReportBean implements Serializable {
    /**
     * build_id : 5CE406D25E844CB9AC2C46E679F9D639
     * create_time : 2017-05-22 10:38:27
     * id : 42D5133F85184A4D92A5BB7D389C79B8
     * is_leak : 0
     * is_notification : 0
     * is_pipeline : 0
     * is_safedistance : 0
     * is_safemark : 0
     * notes : 工地测试
     * report_situation : 工地正常
     * report_state : 0
     * report_time : 2017-05-22 10:38:27
     * report_username :
     * "address": "花卉园",
     * "lat": 29.580765,
     * "lng": 106.515722,
     * file : Upload/2017-05/b0acce72-4e40-4193-8454-1468096a1f15.png
     */

    @Id @NotNull @Unique
    private String id;
    private String build_id;
    private String create_time;
    private int is_leak;
    private int is_notification;
    private int is_pipeline;
    private int is_safedistance;
    private int is_safemark;
    private String notes;
    private String report_situation;
    private int build_state;
    private int report_state;
    private int save_state;
    private String report_time;
    private String report_username;
    private String address;
    private String lat;
    private String lng;
    private int gps_flag = 0;
    private String file;
    @SerializedName(value = "photo_report", alternate = "gaozhishu")
    private String photo_report;

    @Generated(hash = 813628267)
    public BuildReportBean(@NotNull String id, String build_id, String create_time,
            int is_leak, int is_notification, int is_pipeline, int is_safedistance,
            int is_safemark, String notes, String report_situation, int build_state,
            int report_state, int save_state, String report_time,
            String report_username, String address, String lat, String lng,
            int gps_flag, String file, String photo_report) {
        this.id = id;
        this.build_id = build_id;
        this.create_time = create_time;
        this.is_leak = is_leak;
        this.is_notification = is_notification;
        this.is_pipeline = is_pipeline;
        this.is_safedistance = is_safedistance;
        this.is_safemark = is_safemark;
        this.notes = notes;
        this.report_situation = report_situation;
        this.build_state = build_state;
        this.report_state = report_state;
        this.save_state = save_state;
        this.report_time = report_time;
        this.report_username = report_username;
        this.address = address;
        this.lat = lat;
        this.lng = lng;
        this.gps_flag = gps_flag;
        this.file = file;
        this.photo_report = photo_report;
    }

    @Generated(hash = 1818395093)
    public BuildReportBean() {
    }

    public String getBuild_id() {
        return build_id;
    }

    public void setBuild_id(String build_id) {
        this.build_id = build_id;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getIs_leak() {
        return is_leak;
    }

    public void setIs_leak(int is_leak) {
        this.is_leak = is_leak;
    }

    public int getIs_notification() {
        return is_notification;
    }

    public void setIs_notification(int is_notification) {
        this.is_notification = is_notification;
    }

    public int getIs_pipeline() {
        return is_pipeline;
    }

    public void setIs_pipeline(int is_pipeline) {
        this.is_pipeline = is_pipeline;
    }

    public int getIs_safedistance() {
        return is_safedistance;
    }

    public void setIs_safedistance(int is_safedistance) {
        this.is_safedistance = is_safedistance;
    }

    public int getIs_safemark() {
        return is_safemark;
    }

    public void setIs_safemark(int is_safemark) {
        this.is_safemark = is_safemark;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getReport_situation() {
        return report_situation;
    }

    public void setReport_situation(String report_situation) {
        this.report_situation = report_situation;
    }

    public int getBuild_state() {
        return build_state;
    }

    public void setBuild_state(int build_state) {
        this.build_state = build_state;
    }

    public int getReport_state() {
        return report_state;
    }

    public void setReport_state(int report_state) {
        this.report_state = report_state;
    }

    public String getReport_time() {
        return report_time;
    }

    public void setReport_time(String report_time) {
        this.report_time = report_time;
    }

    public String getReport_username() {
        return report_username;
    }

    public void setReport_username(String report_username) {
        this.report_username = report_username;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public int getGps_flag() {
        return gps_flag;
    }

    public void setGps_flag(int gps_flag) {
        this.gps_flag = gps_flag;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getPhoto_report() {
        return photo_report;
    }

    public void setPhoto_report(String photo_report) {
        this.photo_report = photo_report;
    }

    public int getSave_state() {
        return this.save_state;
    }

    public void setSave_state(int save_state) {
        this.save_state = save_state;
    }
}
